org.apache.ignite.internal.processors.cache.persistence

## Interface CheckpointLockStateChecker

All Known Implementing Classes:
  GridCacheDatabaseSharedManager, IgniteCacheDatabaseSharedManager

    public interface CheckpointLockStateChecker

Interface for perform checking that checkpoint lock is held by current track

### Method Summary

Methods
`boolean` `checkpointLockIsHeldByThread()`

### Method Detail

#### checkpointLockIsHeldByThread

    boolean checkpointLockIsHeldByThread()

Returns:
  true if checkpoint lock is held by current thread

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017